<!DOCTYPE html>
<html lang="en">
<head>
  <title>Circles with Canvas</title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="css/styles.css">
  <script src="./js/libs/jquery-1.9.0/jquery.min.js"></script>
  <script src="./js/libs/modernizr-2.6.2/modernizr.min.js"></script>
  <script type="text/javascript">
    $(document).ready(() => {
      if (!Modernizr.canvas)
        alert("Your browser doesn't support Canvas")

      var canvas = document.getElementById("canvas1");
      var ctx = canvas.getContext("2d");

      // Getting the central point of canvas
      var centerX = canvas.width / 2;
      var centerY = canvas.height / 2;
      var radio = 50;

      // Drawing a complete circle
      ctx.beginPath();
      ctx.arc(centerX, centerY, radio, 0, 2*Math.PI, false); // For use degrees => Math.PI * degrees / 180
      ctx.lineWidth = 5;
      ctx.strokeStyle = "yellow";
      ctx.stroke(); // Instruction for drawing the circle
      ctx.fillStyle = "yellowgreen";
      ctx.fill();

      // Circle of 0.5 radian (90 degrees) clockwise
      ctx.beginPath();
      ctx.arc(60, 60, radio, 0, 0.5*Math.PI, false);
      ctx.strokeStyle = "black";
      ctx.stroke();

      // Circle of 1 radian (180 degrees) clockwise
      ctx.beginPath();
      ctx.arc(300, 60, radio, 0, 1*Math.PI, false);
      ctx.stroke();

      // Circle of 0.5 radian (180 degrees) counterclockwise
      ctx.beginPath();
      ctx.arc(500, 60, radio, 0, -0.5*Math.PI, true);
      ctx.stroke();

    });
  </script>
</head>
<body>
  <h1>Circles with Canvas</h1>
  <canvas id="canvas1" width="600" height="400" style="border: dotted gray 1px">
    Your browser doesn't support the tag Canvas
  </canvas>
</body>
</html>